name: Timo Girschik
locality: 
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/marketing/sales-development-representative/">Sales Development Representative</a>
reports_to: sdr-gp
picture: timogirschik.png
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: timogirschik
departments:
  - Sales Development
specialty: "EMEA"
expertise:
story:

